--- components/l2/lgmc-gui-serq-l2/lgmc-gui-serq-l2.component.ts
+++ components/l2/lgmc-gui-serq-l2/lgmc-gui-serq-l2.component.ts
@@ -5,13 +5,15 @@ import { MessageService } from 'primeng/api';
 import { Subscription } from 'rxjs';
 
 import { MnForm, MnSystem, SerqStaticticL2 } from 'src/shared/lgmc-api-artifacts/src/models';
-import { LgmcGFoursomeFoursomePart } from 'src/shared/lgmc-g/lgmc-g-foursome/components/lgmc-g-foursome/lgmc-g-foursome.component';
 import { LgmcPlatformAppStateService } from 'src/shared/lgmc-platform/lgmc-platform-app-state/services/lgmc-platform-app-state.service';
 import { LgmcGuiSerqConfig, lgmcGuiSerqModuleId, lgmcGuiSerqPrioVals, lgmcGuiSerqStateVals } from '../../../model/lgmc-gui-serq.model';
 import { LgmcAppConfig, LgmcEntitiesConfig } from 'src/shared/lgmc-platform/lgmc-platform-model/lgmc-platform-model';
 import { getFormNames } from 'src/shared/lgmc-gui/lgmc-gui-admin/util/lgmc-gui-admin-util';
 import { LgmcPlatformDbApiSerqService } from 'src/shared/lgmc-platform/lgmc-platform-db-api/services/lgmc-platform-db-api-serq.service';
 import { LgmcGuiSerqService } from '../../../services/lgmc-gui-serq.service';
+import {
+  LgmcGFoursomeFoursomePart
+} from '../../../../../lgmc-g/lgmc-g-priority-indicator/components/priority-card/lgmc-g-priority-indicator.component';
 
 type Foursome = {
   caption: string,
--- lgmc-gui-serq.module.ts
+++ lgmc-gui-serq.module.ts
@@ -38,16 +38,11 @@ import { CheckboxModule } from "primeng/checkbox";
 import { ReportsService } from "src/shared/lgmc-api-artifacts/src/services";
 
 import { LgmcGeovistoModule } from "src/shared/lgmc-geovisto/lgmc-geovisto.module";
-import { LgmcGFoursomeModule } from "src/shared/lgmc-g/lgmc-g-foursome/lgmc-g-foursome.module";
 import { LgmcPlatformDbApiModule } from "src/shared/lgmc-platform/lgmc-platform-db-api/lgmc-platform-db-api.module";
 import { LgmcPlatformDbApiService } from "src/shared/lgmc-platform/lgmc-platform-db-api/services/lgmc-platform-db-api.service";
 
-import { DialogWindowModule } from "src/shared/lgmc-g/dialog-window/dialog-window.module";
 import { GeneralService } from "src/shared/lgmc-api-artifacts/src/services/general.service";
-import { GridDivModule } from "src/shared/lgmc-g/grid-div/grid-div.module";
-import { InputBoxModule } from "src/shared/lgmc-g/input-box/input-box.module";
 import { LgmcGBarchartModule } from "src/shared/lgmc-g/lgmc-g-barchart/lgmc-g-barchart.module";
-import { LgmcGCustomButtonModule } from "src/shared/lgmc-g/lgmc-g-button/lgmc-g-button.module";
 import { LgmcGImageModule } from "src/shared/lgmc-g/lgmc-g-image/lgmc-g-image.module";
 import { LgmcGPriorityIndicatorModule } from "src/shared/lgmc-g/lgmc-g-priority-indicator/lgmc-g-priority-indicator.module";
 import { LgmcGPriorityTagModule } from "src/shared/lgmc-g/lgmc-g-priority-tag/lgmc-g-priority-tag.module";
@@ -112,20 +107,15 @@ import { LgmcGuiSerqFiltersComponent } from "./components/lgmc-gui-serq-filters/
     ConfirmDialogModule,
     DataViewModule,
     DialogModule,
-    DialogWindowModule,
     DropdownModule,
     FileUploadModule,
     FormsModule,
-    GridDivModule,
     ChartModule,
     CheckboxModule,
-    InputBoxModule,
     InputTextareaModule,
     InputTextModule,
     LgmcGBarchartModule,
-    LgmcGCustomButtonModule,
     LgmcGeovistoModule,
-    LgmcGFoursomeModule,
     LgmcGImageModule,
     LgmcGPriorityIndicatorModule,
     LgmcGPriorityTagModule,
--- model/lgmc-gui-serq.model.ts
+++ model/lgmc-gui-serq.model.ts
@@ -27,6 +27,7 @@ export type LgmcGuiSerqConfig = LgmcModuleConfig & {
   providers?: {
     dashboard?: {
       card?: {
+        id: string,
         enabled?: boolean,
         title?: string,
         description?: string,
@@ -36,6 +37,7 @@ export type LgmcGuiSerqConfig = LgmcModuleConfig & {
         iconColor?: string
       },
       indicator?: {
+        id: string,
         enabled?: boolean,
         image?: string,
         title?: string,
--- services/lgmc-gui-serq-dashboard-provider.service.ts
+++ services/lgmc-gui-serq-dashboard-provider.service.ts
@@ -1,7 +1,7 @@
 import { Injectable } from '@angular/core';
 import { Router } from '@angular/router';
 
-import { LgmcGDashboardCardModel, LgmcGDashboardControls, LgmcGDashboardData, LgmcGDashboardProvider, LgmcGDashboardIndicatorModel, LgmcGDashboardAbstractProvider } from 'src/shared/lgmc-g/lgmc-g-dashboard/model/lgmc-g-dashboard.model';
+import { LgmcGDashboardProvider, LgmcGDashboardAbstractProvider, LgmcGDashboardWidgets } from 'src/shared/lgmc-g/lgmc-g-dashboard/model/lgmc-g-dashboard.model';
 import { LgmcPlatformAppStateService } from 'src/shared/lgmc-platform/lgmc-platform-app-state/services/lgmc-platform-app-state.service';
 
 import { LgmcGuiSerqConfig, lgmcGuiSerqModuleId } from '../model/lgmc-gui-serq.model';
@@ -9,6 +9,8 @@ import { LgmcGuiSerqService } from './lgmc-gui-serq.service';
 import { LgmcGColor, LgmcGColorDefault, LgmcGColorError, LgmcGColorOK, LgmcGColorWarning } from 'src/shared/lgmc-g/lgmc-g-util/model/lgmc-g-util.model';
 import { LgmcPlatformDbApiSerqService } from 'src/shared/lgmc-platform/lgmc-platform-db-api/services/lgmc-platform-db-api-serq.service';
 import { SerqPrio, SerqPrioCount, SerqStaticticL1 } from 'src/shared/lgmc-api-artifacts/src/models';
+import { LgmcGAlertCardComponent } from 'src/shared/lgmc-g/lgmc-g-alert-card/components/lgmc-g-alert-card/lgmc-g-alert-card.component';
+import { LgmcGCircleIndicatorComponent } from 'src/shared/lgmc-g/lgmc-g-circle-indicator/components/lgmc-g-circle-indicator/lgmc-g-circle-indicator.component';
 
 @Injectable({
   providedIn: 'root'
@@ -43,17 +45,20 @@ export class LgmcGuiSerqDashboardProviderService extends LgmcGDashboardAbstractP
    *
    * @returns dashboard data
    */
-  public async loadDashboardData(enableCards: boolean = true, enableIndicators: boolean = true): Promise<LgmcGDashboardData> {
+  public async loadDashboardData(enableCards: boolean = true, enableIndicators: boolean = true): Promise<LgmcGDashboardWidgets> {
     const moduleConfig = <LgmcGuiSerqConfig> this.appStateService.getModuleConfig(lgmcGuiSerqModuleId);
     this.processParameters(moduleConfig);
     if(moduleConfig.enabled) {
       const data = await this.reloadData(moduleConfig, enableCards, enableIndicators);
-      return {
-        cards: enableCards ? this.createCards(data, moduleConfig) : [],
-        indicators: enableIndicators ? this.createIndicators(data, moduleConfig) : []
-      };
+      let widgets: LgmcGDashboardWidgets = [];
+      if (enableCards)
+        widgets.push(...this.createCards(data, moduleConfig));
+      if (enableIndicators)
+        widgets.push(...this.createIndicators(data, moduleConfig));
+
+      return widgets;
     }
-    return { cards: [], indicators: [] };
+    return [];
   }
 
   /**
@@ -82,29 +87,33 @@ export class LgmcGuiSerqDashboardProviderService extends LgmcGDashboardAbstractP
    * @returns cards
    * @param moduleConfig
    */
-  protected createCards(data: SerqStaticticL1, moduleConfig: LgmcGuiSerqConfig): LgmcGDashboardCardModel[] {
+  protected createCards(data: SerqStaticticL1, moduleConfig: LgmcGuiSerqConfig): LgmcGDashboardWidgets {
     if(data) {
       const cardConfig = moduleConfig?.providers?.dashboard?.card;
 
       if(cardConfig?.enabled ?? true) {
         return [{
-          type: "value",
-          title: cardConfig?.title ?? "lgmc-gui-serq.dashboard-card.title",
-          description: cardConfig?.description ?? "lgmc-gui-serq.dashboard-card.description",
-          tooltip: cardConfig?.tooltip ?? "lgmc-gui-serq.dashboard-card.tooltip",
-          tooltipPosition: cardConfig?.tooltipPosition ?? "right",
-          icon: cardConfig?.icon ?? "pi pi-bell",
-          iconColor: cardConfig?.iconColor ?? "#f57c00",
-          value: this.getCardValue(data).toString(),
-          actions: [ {
-            label: "lgmc-gui-serq.dashboard-card.action",
-            icon: "pi pi-plus",
-            action: () => {}
-          }],
-          actionsButtonIcon: "pi pi-plus",
-          actionsLabel: "Actions",
-          singleAction: true,
-          onCardClick: () => { this.onCardClick(); },
+          id: cardConfig.id,
+          component: LgmcGAlertCardComponent,
+          inputs: {
+            type: "value",
+            title: cardConfig?.title ?? "lgmc-gui-serq.dashboard-card.title",
+            description: cardConfig?.description ?? "lgmc-gui-serq.dashboard-card.description",
+            tooltip: cardConfig?.tooltip ?? "lgmc-gui-serq.dashboard-card.tooltip",
+            tooltipPosition: cardConfig?.tooltipPosition ?? "right",
+            icon: cardConfig?.icon ?? "pi pi-bell",
+            iconColor: cardConfig?.iconColor ?? "#f57c00",
+            value: this.getCardValue(data).toString(),
+            actions: [ {
+              label: "lgmc-gui-serq.dashboard-card.action",
+              icon: "pi pi-plus",
+              action: () => {}
+            }],
+            actionsButtonIcon: "pi pi-plus",
+            actionsLabel: "Actions",
+            singleAction: true,
+            onCardClick: () => { this.onCardClick(); },
+          }
         }];
       }
     }
@@ -150,29 +159,35 @@ export class LgmcGuiSerqDashboardProviderService extends LgmcGDashboardAbstractP
    *
    * @returns indicators
    */
-  protected createIndicators(data: SerqStaticticL1, moduleConfig: LgmcGuiSerqConfig): LgmcGDashboardIndicatorModel[] {
+  protected createIndicators(data: SerqStaticticL1, moduleConfig: LgmcGuiSerqConfig): LgmcGDashboardWidgets {
     if(data) {
       const indicatorConfig = moduleConfig?.providers?.dashboard?.indicator;
 
       if((indicatorConfig?.enabled ?? true)) {
         const indicatorColors: LgmcGColor[] = this.getIndicatorQuadrantColors(data);
         return [{
-          image: indicatorConfig?.image ?? this.image,
-          title: indicatorConfig?.title ?? "lgmc-gui-serq.dashboard-indicator.title",
-          colorUL: indicatorColors[0],
-          textUL: indicatorConfig?.p1Label ?? "lgmc-gui-serq.dashboard-indicator.p1",
-          colorUR: indicatorColors[1],
-          textUR: indicatorConfig?.p2Label ?? "lgmc-gui-serq.dashboard-indicator.p2",
-          colorBL: indicatorColors[2],
-          textBL: indicatorConfig?.p3Label ?? "lgmc-gui-serq.dashboard-indicator.p3",
-          colorBR: indicatorColors[3],
-          textBR: indicatorConfig?.p4Label ?? "lgmc-gui-serq.dashboard-indicator.p4",
-          finalColor: this.getFinalColor(indicatorColors),
-          textCenter: undefined,
-          onClick: () => { this.onIndicatorClick() }
+          id: indicatorConfig.id,
+          component: LgmcGCircleIndicatorComponent,
+          inputs: {
+            image: indicatorConfig?.image ?? this.image,
+            title: indicatorConfig?.title ?? "lgmc-gui-serq.dashboard-indicator.title",
+            colorUL: indicatorColors[0],
+            textUL: indicatorConfig?.p1Label ?? "lgmc-gui-serq.dashboard-indicator.p1",
+            colorUR: indicatorColors[1],
+            textUR: indicatorConfig?.p2Label ?? "lgmc-gui-serq.dashboard-indicator.p2",
+            colorBL: indicatorColors[2],
+            textBL: indicatorConfig?.p3Label ?? "lgmc-gui-serq.dashboard-indicator.p3",
+            colorBR: indicatorColors[3],
+            textBR: indicatorConfig?.p4Label ?? "lgmc-gui-serq.dashboard-indicator.p4",
+            finalColor: this.getFinalColor(indicatorColors),
+            textCenter: undefined,
+            onClick: () => { this.onIndicatorClick() }
+          }
         }];
       }
     }
+
+    return [];
   }
 
   /**
